### Virtual Method

# Camel Folder search_sync

since: 3.58

#### Declaration [src]

    gboolean
    search_sync (
      CamelFolder* folder,
      const gchar* expression,
      GPtrArray** out_uids,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Searches the folder for messages matching the given search expression.

Free the array with g_ptr_array_unref(), when no longer needed.

Available since: 3.58

#### Parameters

`expression`

  Type: `const gchar*`

  A search expression.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`out_uids`

  Type: An array of `utf8`

  Return location for a `GPtrArray` of uids of matching messages, or `NULL` when none found or error happened.

  The argument will be set by the function.
  The argument can be set to `NULL` by the virtual function.
  The caller of the method takes ownership of the returned data container, but not the data inside it.
  Each element is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  A `GCancellable`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the virtual function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Whether succeeded.